<?
/*
Source code example for Web Database Applications

Unless otherwise stated, the source code distributed with this book can be
redistributed in source or binary form so long as an acknowledgment appears
in derived source files.
The citation should list that the code comes from Hugh E.
Williams and David Lane, "Web Database Application with PHP and MySQL"
published by O'Reilly & Associates.
This code is under copyright and cannot be included in any other book,
publication, or educational product without permission from O'Reilly &
Associates.
No warranty is attached; we cannot take responsibility for errors or fitness
for use.
*/
?>
<!DOCTYPE HTML PUBLIC 
   "-//W3C//DTD HTML 4.0 Transitional//EN"
   "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head><title>Counter</title></head>
<body>
<?php
  include "counter.inc";

  // Create a new object of type "counter"
  $temp = new Counter;

  // Set the counter to 10
  $temp->startCountAt(10);

  // Increment the counter
  $temp->increment();
  $temp->increment();
  $temp->increment();

  // Print out the value of the counter
  echo "<p>Counter is now: ";
  $temp->showvalue();

  // Reset the counter
  $temp->reset();

  // Print out the value of the counter
  echo "<p>Counter is now: ";
  $temp->showvalue();
?>
</body></html>  
