<?
/*
Source code example for Web Database Applications

Unless otherwise stated, the source code distributed with this book can be
redistributed in source or binary form so long as an acknowledgment appears
in derived source files.
The citation should list that the code comes from Hugh E.
Williams and David Lane, "Web Database Application with PHP and MySQL"
published by O'Reilly & Associates.
This code is under copyright and cannot be included in any other book,
publication, or educational product without permission from O'Reilly &
Associates.
No warranty is attached; we cannot take responsibility for errors or fitness
for use.
*/
?>
<!DOCTYPE HTML PUBLIC 
               "-//W3C//DTD HTML 4.0 Transitional//EN"
               "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
  <title>Wines</title>
</head>
<body><pre>
<?php
   // (1) Open the database connections
   $connection = pg_connect("host=localhost
               user=fred password=shhh dbname=winestore");

   // (2) Run the query on the winestore through the
   // connection
   $result = pg_exec($connection,"select * from wine");

   // (3) While there are still rows in the result set
   while ($row = pg_fetch_row($result))
   {
      // (4) Print out each attribute in the row
      for ($i=0; $i<pg_num_fields($result); $i++)
         echo $row[$i] . " ";

      // Print a carriage return to neaten the output
      echo "\n";
   }

   // (5) Close the database connection
   pg_close($connection);
?>  
</pre>
</body>
</html>
